Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2011-07-01 Assigned To:
Updated: 2011-09-01 Due date:
Subject: login returns 404 if no accounts are setup
Description

If no accounts can be found, the LoginController of the TYPO3 package currently forwards to a 'Backend\Setup' Controller, that no
longer exists:

if ($this->accountRepository->countAll() === 0) {
    $this->forward('index', 'Backend\Setup');
}

This results in a 404 page not found error.
Instead a message should be shown that explains how to setup initial data with the CLI.

Associated revisions
Revision 0ad87b7f - 2011-09-01 12:58 - Bastian Waidelich

[BUGFIX] Avoid redirect to non-existing setup

Currently login forwards the request to a non-existing
controller "Backend\Setup" if no accounts exist.
This results in an 404 status.
This change removes the redirect and the obsolete routes.

Change-Id: Iebbc09c9cabf5ee0ee3dd6990cbeaa4640a02005
Resolves: #27795

History
#1 - 2011-09-01 12:59 - Mr. Hudson

Patch set 1 of change Iebbc09c9cabf5ee0ee3dd6990cbeaa4640a02005 has been pushed to the review server.
It is available at http://review.typo3.org/4717

#2 - 2011-09-01 13:05 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0ad87b7f7fedbdfd192f4f5b13c5b752c1aad861.
